<%@ page language="java" pageEncoding="UTF-8"%>
<%@ include file="/commons/taglibs.jsp" %>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme() + "://"
			+ request.getServerName() + ":" + request.getServerPort()
			+ path + "/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<%@ include file="/commons/meta.jsp"%>
		
		<base href="<%=basePath%>">
		<title>环节表单按钮设置</title>
		<script>
	
	function changeHref(id,srcStr){
		//alert(id);
		document.getElementById(id).src=srcStr;	
	}
	
	$(function(){
		$("#tabs4").switchable("#panels4 >div",{  
		     triggerType:"click",
			 	 effect:"iframe"
		});
	})

	</script>
	</head>
	<body>
<div class="position">
				<div class="center">
					<div class="left">
						<div class="right">
							<span>当前位置：流程管理 >> 已部署流程定义</span>
						</div>
					</div>
				</div>
			</div>
		<div id="tabs4" class="tabs-trigger" style="width: 100%;">
			<div class="tabs-triggerLeft">
				<div class="tabs-triggerRight">
					<a id="UserContract"
						onclick="changeHref('frmrightChild','${ctx}/activityInfoConfig/edit.do?activityDefId=${activityInfoConfig.activityDefId}&processDefId=${activityInfoConfig.processDefId}');"
						href="" target="frmrightChild" class="current">环节基础信息</a>

					<a  id="UserEvent" href=""
						onclick="changeHref('frmrightChild','${ctx}/activityInfoConfig/actOperatePowerList.do?activityDefId=${activityInfoConfig.activityDefId}&processDefId=${activityInfoConfig.processDefId}');"
						target="frmrightChild">环节操作权限</a>

					<a  id="UserEducation" href=""
						onclick="changeHref('frmrightChild','${ctx}/activityInfoConfig/edit.do?activityDefId=${activityInfoConfig.activityDefId}&processDefId=${activityInfoConfig.processDefId}')"
						; target="frmrightChild">环节变量配置</a>
					<button  type="submit" onclick="art.dialog.close();">
					        <span class="icon_close">关闭</span>
						</button>
				</div>
			</div>
		</div>
		</div>
		<div id="panels4" class="tabs-panel"
			style="width: 100%; height: 100%;">
			<IFRAME style="width: 100%; height: 450px;" scrolling="no"
				src="${ctx}/activityInfoConfig/edit.do?activityDefId=${activityInfoConfig.activityDefId}&processDefId=${activityInfoConfig.processDefId}"
				frameBorder="0" id="frmrightChild" name="frmrightChild: onload="
				iframeHeight('frmrightChild')"  allowTransparency="true"></IFRAME>
		</div>

	</body>
</html>
<script> 
	$(function(){	
		setTimeout(showCode,1000)
	})
	function showCode(){
		top.Dialog.close();
	}
</script>
